﻿* {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

::-webkit-scrollbar {
    display: none;
}



button {
    -webkit-appearance: none;
}

body, html {
   
    font-size: 17px;
    background-color: #EDEDED;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.container {
    padding: 0 10px;
}

.history-icon {
    max-height: 24px;
    vertical-align: top;
}

.history-item {
    text-align: left;
    display: block;
    border:none;
    background-color: #fff;
    width:100%;
    font-family: inherit;
    font-size: 1rem;
    border-bottom: 2px solid #f5f5f5;
    padding: 10px 0;
}

.history-title {
    font-weight: bold;
}

.history-desc {
    color:#ccc;
}

.history-points {
    color:#BA0C2F;
    font-weight: bold;
}

.nobtn {
    border: none;
    background-color: transparent;
}
.nobtn.inactive {
    opacity: 0.3;
}

.mobile-topnav {
    margin: 15px auto;
}

.mobile-list a {
    width: 100%;
    display: block;
    padding: 10px 15px;
    color: #222;
    margin-top: 10px;
    border-radius: 10px;
    background-color: #fff;
}

.sidebar {
    background-color: #EDEDED;
    width: 100vw;
    height: 100vh;
    font-size: 1rem;
    top: 0;
    right: 0;
    border-radius: 0;
    padding: 0 20px;
}


.pro-info {
    border-radius: 16px;
    outline: 0;
    background-color: #FFF;
    height: unset;
    margin:0;
    margin-bottom:10px;
}

.pro-info .button {
    width: 100%;
}

.button {
    min-height: 48px;
    border-radius: 16px;
}

.nav1 {
    transition: transform 500ms ease;
}

.onclick {
    transform: scale(1.2);
}

.mobile-nav {
    position: fixed;
    bottom: 15px;
    width: 90%;
    left: 50%;
    transform: translate(-50%, 0);

    padding-top: 10px;
    padding-bottom: 5px;

    color: #3C3C3C;
    z-index: 900;

    background: rgba(255, 255, 255, 0.3);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);

    border: 1px solid rgba(255, 255, 255, 0.3);
    transition: transform 800ms ease-in-out;
}


.scrolled {
    transform: translate(-50%, 130%);
}

.bottom_bar_btn {
    outline: 0;
    border: 0;
    cursor: pointer;
    background: none;
    width: 100%;
    height: 100%;
    padding: 2px 0 0 0;
    color: #000;
}


.bottom_bar_btn:active,
.bottom_bar_btn:focus {
    outline: 0 !important;
}

.bottom_bar_btn img {
    width: 28px;
    height: 28px;
    opacity: 0.8;
}

.bottom_bar_btn span {
    display: block;
    font-size: 11px;
    letter-spacing: 1px;
}

.bbar_btn_activated {
    opacity: 1;
}

.arrows {
    position: fixed;
    padding: 10px 15px;
    z-index: 200;
    width: 160px;
    left: 50%;
    margin-left: -80px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    bottom: 20px;
}

.arrow {

    -webkit-appearance: none;
    appearance: none;
    
    background: rgba(255, 255, 255, 0.2);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    
    border-radius: 50%;
    transition: background-color 500ms ease;
    cursor: pointer;
    user-select: none;
    height: 60px;
    width: 60px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 40px;
}

#chat-holder {
    box-sizing: border-box;
    position: fixed;
    left: 10px;
    right: 10px;
    height: 98dvh;
    display: grid;
    grid-template-rows: 1fr 40px;
    border-radius: 0;
}

#chat-send,
#chat-input {
        font-family: inherit;
        border-radius: 10px;
        border: 1px solid #CCC;
        padding: 0 10px;
        outline: none;
}

#chat-send[type="button"] {
    text-align: center;
    background: #222;
    color:white;
    border-color: #222;
}

.contact-item {
    padding: 10px 15px;
    border-radius: 10px;
    border:1px solid #f5f5f5;
    background-color: #fff;
    display: block;
    width: 100%;
    text-align: left;
    margin-bottom: 10px;
} 

.contact-item-title {
    color: #3C3C3C;
    font-size:1rem;
}

.contact-item-room {
    float:right;
    color:#ccc;
}

.contact-item-subtitle {
    color:#BA0C2F;
    font-size:12px;
    text-transform: lowercase;
}

.chat-bottom {
    display: grid;
    grid-template-columns: 1fr 100px;
    gap:10px;
}

.chat-bubble {
    display: block;
    padding: 15px 19px;
    color: white;
    border-radius: 20px;
    font-size: 1rem;
    margin: 9px 0;
    max-width: 80%;
    min-width: 100px;
    border:none;
}

.chat-other {
    background-color: #222;
    border-bottom-right-radius: 0;
}

.chat-my {
    background-color: cornflowerblue;
    border-bottom-left-radius: 0;
    margin-left:30px
}